MARTe2-core - User story #182

Logging for LOPortability
31.07.2015 15:28 - André Neto

Status: Closed Start date: 31.07.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.4 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

As a developer | want to be able to write log messages at every level of the framework. The logging mechanism shall be
interrupt-safe.
This would satisfy requirements:

MARTe-EX-F-3.1.1: The framework shall offer developers an interrupt-safe logging mechanism.

MARTe-EX-F-3.1.2: The framework shall automatically include in the log message the absolute time of the message.
MARTe-NE-F-3.1.3: The framework shall automatically include in the log message the source file line number.
MARTe-NE-F-3.1.4: The framework shall automatically include in the log message the source filename.
MARTe-NE-F-3.1.7: The framework shall automatically include in the log message the identifier of the thread from which the
message is triggered from.

¢ MARTe-NE-F-3.1.8: The framework shall allow developers to specify the severity of the log message.
Source code files modified
¢ SourceCore/L0Portbility/ Leggerh ErrorManagement.h

¢ SourceCore/L0Portbility/ Leggerepp ErrorManagement.cpp
e SourceCore/LOPortbility/ Leglrtermation-h Errorinformation.h

Architecture & design review

As per the original MARTe implementation, this is a support function and does not require formal design in UML.

Code and documentation review
Date of the review: 31/08/2015

Person who did the review: lvan Herrero

Result of review: PASS

List of non-conformities: N/A

Note: There is an open discussion about if these classes/namespaces must be named Error infrastructure or Log infrastructure,
because we log a lot of Information and Debug which by definition are not errors.

Unit test review

Date of the review: 02/09/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS

Result of functional tests review: PASS
Result of review: PASS
List of non-conformities: N/A

Notes: The function ErrorManagementTest::CheckParameters does not verify Errorinformation::header::isObject,
Errorinformation::hrtTime, Errorinformation::objectPointer, and ErrorInformation::className, because they are not implemented.

Associated revisions

Revision 978a829b - 14.08.2015 13:49 - Giuseppe Ferro

List of changes:

-First lint refactor (not complete) of ErrorManagement.
-Added ErrorManagement tests.

#182

Revision 258738 - 14.08.2015 17:52 - Giuseppe Ferro

List of changes:
Lint and testing of ErrorManagement done.
#182

Revision 6d28b272 - 17.08.2015 09:34 - Giuseppe Ferro

List of changes:

-Removed bit field from ErrorType in Errorinfo since it is already a
typedef of int8

#182

Revision b6426716 - 17.08.2015 09:46 - Giuseppe Ferro

List of changes:
-Added documentation.
#182

Revision 91675893 - 20.08.2015 13:28 - Giuseppe Ferro

Added the file Errorinformation.h
#182

Revision 0b8ae840 - 23.08.2015 13:39 - André Neto

Merge branch 'develop' into #182_Error_Management

Conflicts:

MakeDefaults/Lint/marte_flint_exceptions.Int
MakeDefaults/Lint/marte_flint_files.Int
Source/Core/LOPortability/Errorinformation.h
Source/Core/LOPortability/Makefile.inc
Source/Core/L0OPortability/OperatingSystem/Linux/GeneralDefinitionsOS.h
Source/Core/LOPortability/OperatingSystem/Windows/GeneralDefinitionsOS.h
Test/GTest/Makefile.inc

Revision 908851e8 - 24.08.2015 17:21 - Giuseppe Ferro

List of changes:
-Changed name ErrorManagement to LogManagement and so on...
#182

Revision 7870649c - 24.08.2015 17:24 - Giuseppe Ferro

Merge branch '#182_Error_Management' of
https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#182_Error_Management

Conflicts:
Source/Core/LOPortability/ErrorInformation.h
Source/Core/LOPortability/ErrorManagement.h
Test/GTest/Makefile.inc

Revision 3f905b6c - 02.09.2015 15:57 - Ivan Herrero

#182 - Apply minor corrections

e Add the "static" keyword for functions on the section static of
ErrorManagementTest.cpp, because they are only used in the translation
unit.

¢ The implementation of DummyErrorFunction at ErrorManagementTest.cpp
has been simplified to "ErrorManagementTest::retVal = true;".

* The implementation of the function ErrorManagementTest::TestToName at
ErrorManagementTest.cpp has been updated after changes on
ErrorManagement::UnsupportedFeature name string.

History

#1 - 31.07.2015 15:34 - André Neto

- Description updated

#2 - 13.08.2015 16:20 - Riccardo Vitelli

- Status changed from New to Code: Impl

#3 - 13.08.2015 16:20 - Riccardo Vitelli

- Assignee set to Giuseppe Ferro

#4 - 17.08.2015 09:47 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#5 - 17.08.2015 09:49 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

Code implementation done: b642671

#6 - 19.08.2015 15:54 - André Neto

- Assignee set to André Neto

#7 - 22.08.2015 17:31 - André Neto
- Assignee deleted (André Neto)

#8 - 23.08.2015 13:50 - André Neto

- Description updated

#9 - 23.08.2015 13:50 - André Neto

- Description updated

#10 - 24.08.2015 15:14 - Riccardo Vitelli

- Target version changed from 0.3 to 0.4

#11 - 24.08.2015 16:46 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#12 - 25.08.2015 09:15 - Riccardo Vitelli
- Status changed from Code: Rev to Code: Impl

#13 - 25.08.2015 11:07 - Giuseppe Ferro

- Description updated

- Status changed from Code: Impl to Code: Rev
- Assignee deleted (Giuseppe Ferro)

#14 - 27.08.2015 10:12 - Riccardo Vitelli

- Assignee set to Ivan Herrero

#15 - 01.09.2015 09:40 - lvan Herrero

- Description updated

05.04.2025 3/4



#16 - 01.09.2015 09:40 - lvan Herrero

- Status changed from Code: Rev to Unit: Rev

#17 - 02.09.2015 16:13 - lvan Herrero

- Description updated

#18 - 03.09.2015 11:21 - André Neto
- Status changed from Unit: Rev to Closed

- Assignee deleted (Ivan Herrero)

#19 - 08.09.2015 09:41 - Ivan Herrero

- Description updated
